Get Сhild TOC Nodes

Get Сhild TOC Nodes

Returns a list of children nodes of a TOC node.

Path Parameters
  • project-id
    string
    required

    The ID of the project to get children of a node from.

  • toc-node-id
    string
    required

    The ID of the TOC node to get child nodes of.

Query Parameters
  • isRecursive
    boolean
    default:
    false

    Whether or not to get information about all child nodes as well. false by default.

Responses
GET/projects/{project-id}/toc/nodes/{toc-node-id}/children
curl --location -g --request GET 'https://{portal-url}/api/v2/projects/project-deep-space-exploration/toc/nodes/0e7adad0-2572-4966-8f02-bc46930cf848/children?isRecursive=true'

[
  {
    "caption": "",
    "id": "69fc2771-20ef-496a-8141-b8fe38e0fac4",
    "isAutoDocsMountPoint": false,
    "isShowInToc": true,
    "ordinalNo": 0,
    "parentId": "928d32c6-579b-4e98-a79e-aae03f12f1b5",
    "topicId": "planetary-system",
    "topicTitle": "Planetary System"
  },
  {
    "caption": "",
    "id": "42914509-ee9b-4b95-9c25-0334419f86db",
    "isAutoDocsMountPoint": false,
    "isShowInToc": true,
    "ordinalNo": 1,
    "parentId": "928d32c6-579b-4e98-a79e-aae03f12f1b5",
    "topicId": "star-cluster",
    "topicTitle": "Star Cluster"
  }
]